#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

HEADER_PACKAGES := libproperties-cpp-dev
EXTRA_SUBSTVARS := \
	-Vmisc:Built-Using="$(shell dpkg-query -Wf '$${source:Package}(=$${Version}),' $(HEADER_PACKAGES))"
LXC_VER := $(shell dpkg-query -Wf '$${Version}' lxc)
LXC_EPOCH := $(shell echo $(LXC_VER) | sed -e 's/[^:]*$$//')
LXC_MAJOR_VER := $(shell echo $(LXC_VER) | sed -e 's/\..*$$//'|sed -e 's/^[0-9]*://')

ifeq ($(LXC_MAJOR_VER), 2)
	EXTRA_SUBSTVARS += \
		-Vmisc:LxcDepends="lxc"
else
	EXTRA_SUBSTVARS += \
		-Vmisc:LxcDepends="lxc (>= $(LXC_EPOCH)3.0.0)"
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DENABLE_TOUCH_INPUT=ON \
		-DENABLE_WAYLAND=OFF \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DANBOX_VERSION=$(DEB_VERSION) \
		-DANBOX_VERSION_SUFFIX=$(DEB_VENDOR)

override_dh_auto_install:
	dh_auto_install
	cp snap/gui/icon.png debian/anbox.png

override_dh_gencontrol:
	dh_gencontrol -- $(EXTRA_SUBSTVARS)
